com.genesyslab.wfm7.API.service.performance750

## Interface EPerfTimeZoneOptions

-     public interface EPerfTimeZoneOptions

  Specifies how time zone information should be obtained.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PERF_TZ_OPTION_LOCAL_TZ` Specific time zone is used, time zone ID should be specified separately.
    `static int` | `PERF_TZ_OPTION_SERVER_TZ` WFM Server machine time zone is used (as configured in locale).
    `static int` | `PERF_TZ_OPTION_TARGET_TZ` Performance data target time zone is used e.g.
    `static int` | `PERF_TZ_OPTION_USER_TZ` User time zone is used (as configured in WFM, if no time zone configured WFM Server machne time zone is used).

- - ### Field Detail

    - #### PERF_TZ_OPTION_SERVER_TZ

          static final int PERF_TZ_OPTION_SERVER_TZ

      WFM Server machine time zone is used (as configured in locale).
      See Also:
        Constant Field Values

    - #### PERF_TZ_OPTION_TARGET_TZ

          static final int PERF_TZ_OPTION_TARGET_TZ

      Performance data target time zone is used e.g. when target is Activity or Site, appropriate Site time zone is used, when target is Multi-site Activity or Business Unit, appropriate Business Unit time zone is used, when target is Enterprise then User time zone is used (as configured in WFM, if no time zone configured WFM Server machne time zone is used).
      See Also:
        Constant Field Values

    - #### PERF_TZ_OPTION_USER_TZ

          static final int PERF_TZ_OPTION_USER_TZ

      User time zone is used (as configured in WFM, if no time zone configured WFM Server machne time zone is used).
      See Also:
        Constant Field Values

    - #### PERF_TZ_OPTION_LOCAL_TZ

          static final int PERF_TZ_OPTION_LOCAL_TZ

      Specific time zone is used, time zone ID should be specified separately.
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.